Summary
Updates an automation's attributes.
Description
Updates an automation's attributes (including scheduling data).
Route
PUT /automation_catalog/automations/:id
Roles
admin
other
apiread
Parameters
DetailsExampleSchema
| Name |
Type |
Required |
Description |
| id |
string |
yes |
Unique id of the automation |
| options |
object |
yes |
Object containing the fields to be updated |
Copied to Clipboard
{
"options": {
"workflowId": "8e3695fe-c5bf-4286-ae83-186b3fea1c1a",
"formId": "b8b8894f46e4518eedd2b9ed",
"gbac": {
"write": [
"6987c45f1096face31514a3f",
"1a700a460251f33386c64d64",
"3ee4fa931e5d6cb3281e2995",
"4bd8029833e6f504577966be"
],
"read": [
"2720aec9ab67f168cf8df7b8",
"35825ea0f1479abc7063c719",
"219576ccdd3c3b06d0e017d5",
"a80b18f445214e1ff887b8e5",
"eefe2755b3fac363ffea2546"
]
},
"nextRunAt": "2019-11-25T22:51:39.201Z",
"repeatInterval": null
}
}
Copied to Clipboard
{
"type": "object",
"properties": {
"options": {
"title": "options",
"type": "object",
"description": "Custom data stored with an automation.",
"properties": {
"formData": {
"type": "object",
"properties": {},
"description": "An object containing a list of properties from the associated json-form, saved formData is only used when scheduling."
},
"workflowId": {
"type": "string",
"examples": [
"8e3695fe-c5bf-4286-ae83-186b3fea1c1a"
],
"format": "uuid"
},
"formId": {
"$ref": "automationDocument#/definitions/ObjectId"
},
"gbac": {
"type": "object",
"description": "Sets of group Ids that are allowed to access this automation.",
"properties": {
"write": {
"type": "array",
"description": "Group ids that have write access to the automation document.",
"items": {
"$ref": "automationDocument#/definitions/ObjectId"
}
},
"read": {
"type": "array",
"description": "Group ids that have read access to the automation document.",
"items": {
"$ref": "automationDocument#/definitions/ObjectId"
}
}
},
"required": [
"write",
"read"
]
},
"nextRunAt": {
"oneOf": [
{
"type": "string",
"examples": [
"2019-11-25T22:51:39.201Z"
],
"format": "date-time",
"description": "Agenda property defining when the next run will process, stored in UTC."
},
{
"type": "null"
}
]
},
"repeatInterval": {
"oneOf": [
{
"type": "string",
"minLength": 1,
"description": "Agenda property defining how often an automation will repeat. Stored in human interval time format (https://github.com/agenda/human-interval).",
"examples": [
"1 hour",
"1 day",
"3 weeks",
"2 months"
]
},
{
"type": "null"
}
]
}
}
}
},
"required": [
"options"
],
"additionalProperties": false
}
Return
DetailsExampleSchema
| Name |
Type |
Description |
| document |
object |
Updated document of requested automation |
Copied to Clipboard
{
"_id": "6c24ab358cc571f184d755df",
"name": "test",
"data": {
"gbac": {
"write": [
"0b4f899608294dd8a0d9823e"
],
"read": [
"e6c9d1bec6ba9786a3841059"
]
},
"lastUpdated": "2019-11-25T22:51:39.201Z",
"description": "pariatur ad do adipisicing nostrud",
"workflowId": "8e3695fe-c5bf-4286-ae83-186b3fea1c1a",
"formId": "16d4738e4ea4c340049a9b80"
},
"lastModifiedBy": "consectetur amet",
"lastRunAt": "2019-11-25T22:51:39.201Z",
"nextRunAt": "2019-11-25T22:51:39.201Z",
"repeatInterval": "2 months",
"migratedToOM": true,
"correspondingOMAutomationId": "99740444a6cde38ee70289d1"
}